Arbor 3: FSM & BT Graph Editor 3.6.8

List of all members
GetParameterCalculator Class Reference

Parameterから値を取得する。 More...

Inheritance diagram for GetParameterCalculator:

## Additional Inherited Members
Public Member Functions inherited from GetParameterCalculatorInternal
void | SetParameter (Parameter parameter)
| パラメータを設定する。 More...
override void | OnCalculate ()
| 演算される際に呼ばれる。 More...
Public Member Functions inherited from Calculator
virtual bool | OnCheckDirty ()
| 変更されているか判定する際に呼ばれる。 More...
void | SetDirty ()
| OnCalculateを呼んでほしい場合に呼び出す。 More...
void | Calculate ()
| 必要であれば演算する。 More...
Public Member Functions inherited from NodeBehaviour
void | RebuildFields ()
| 内部用。 More...
DataSlotField | GetDataSlotField (int index)
| DataSlotFieldを取得する。 More...
DataSlotField | GetCalculatorSlotField (int index)
| DataSlotFieldを取得する。 More...
DataSlotField | GetDataSlotField (DataSlot slot)
| DataSlotFieldを取得する。 More...
DataSlotField | GetCalculatorSlotField (DataSlot slot)
| DataSlotFieldを取得する。 More...
void | RebuildDataSlotFields ()
| DataSlotFieldを再構築する。 More...
void | RebuildCalculatorSlotFields ()
| DataSlotFieldを再構築する。 More...
void | Initialize (NodeGraph nodeGraph, int nodeID)
| Editor用。 More...
void | UpdateDataLink ()
| 手動によるDataLinkの値更新。 DataLinkUpdateTiming.ManualのDataLinkフィールドの値を更新する。 More...
Static Public Member Functions inherited from NodeBehaviour
static NodeBehaviour | CreateNodeBehaviour (Node node, System.Type type, bool duplicate=false)
| Editor用。 More...
static Type | CreateNodeBehaviour< Type > (Node node, bool duplicate=false)
| Editor用。 More...
static void | Destroy (NodeBehaviour behaviour)
| NodeBehaviourを破棄する。 More...
Protected Member Functions inherited from Calculator
virtual void | Awake ()
| この関数はスクリプトのインスタンスがロードされたときに呼び出される。 More...
virtual void | OnDestroy ()
| この関数はMonoBehaviourが破棄されるときに呼び出される。 More...
override void | OnValidate ()
| この関数はスクリプトがロードされた時やインスペクターの値が変更されたときに呼び出されます（この呼出はエディター上のみ） More...
Protected Member Functions inherited from NodeBehaviour
virtual void | OnCreated ()
| 生成時に呼ばれるメソッド. More...
virtual void | OnInitializeEnabled ()
| enabledの初期化を行うために呼ばれる。 More...
virtual void | OnPreDestroy ()
| 破棄前に呼ばれるメソッド。 More...
virtual void | OnGraphPause ()
| この関数はグラフが一時停止したときに呼ばれる。 More...
virtual void | OnGraphResume ()
| この関数はグラフが再開したときに呼ばれる。 More...
virtual void | OnGraphStop ()
| この関数はグラフが停止したときに呼ばれる。 More...
Properties inherited from GetParameterCalculatorInternal
bool | isInGraphParameter`[get]`
| グラフ内パラメータを参照しているかどうか。 More...
Properties inherited from Calculator
CalculatorNode | calculatorNode`[get]`
| CalculatorNodeを取得。 More...
int | calculatorID`[get]`
| CalculatorIDを取得。 More...
bool | isDirty`[get]`
| 変更されているかどうか。 More...
Properties inherited from NodeBehaviour
NodeGraph | nodeGraph`[get]`
| NodeGraphを取得。 More...
int | nodeID`[get]`
| ノードIDを取得。 More...
Node | node`[get]`
| Nodeを取得。 More...
int | dataSlotFieldCount`[get]`
| DataSlotFieldの個数 More...
int | calculatorSlotFieldCount`[get]`
| DataSlotFieldの個数 More...

## Detailed Description

Parameterから値を取得する。